#
# spec file for package darts
#
# Copyright (c) 2014 SUSE LINUX Products GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:           darts
Version:        0.32
Release:        8.27
Summary:        Double Array Trie System
License:        LGPL-2.1+
Group:          System/Libraries
Url:            http://chasen.org/~taku/software/darts/
Source0:        http://chasen.org/~taku/software/darts/src/darts-%{version}.tar.gz
BuildRequires:  automake
BuildRequires:  gcc-c++
BuildRequires:  zlib-devel
BuildRoot:      %{_tmppath}/%{name}-%{version}-build

%description
Darts is a simple C++ template library to construct 
Double-Arrays [Aoe 1989]. Double-Arrays are data 
structures to represent Trie. These are faster than 
other Trie implementations.

Darts is used by Chasen.

%prep
%setup -q

%build
%configure
make CXXFLAGS="%{optflags}"

%check
make check

%install
%make_install

%files
%defattr(-, root, root)
%doc AUTHORS COPY* ChangeLog README*
%{_includedir}/*
%{_libexecdir}/%{name}/

%changelog
* Tue Apr 29 2014 pgajdos@suse.com
- fix url
* Mon Sep 24 2012 i@marguerite.su
- update 0.32
  * Fixed a problem that the license file has not been enclosed
  * Small code cleanup
* Mon Sep 24 2012 i@marguerite.su
- run spec-cleaner and format_spec_file service.
* Sat Sep 22 2012 schwab@linux-m68k.org
- Force use of %%{optflags}
- Spec file cleanup
* Thu Dec  1 2011 coolo@suse.com
- add automake as buildrequire to avoid implicit dependency
* Wed Dec 12 2007 uli@suse.de
- update -> 0.31 (required by new chasen)
  - license change (LGPL -> dual LGPL/BSD)
  - lots of entirely undocumented changes
* Sat Mar 31 2007 rguenther@suse.de
- add zlib-devel BuildRequires
* Wed Jan 25 2006 mls@suse.de
- converted neededforbuild to BuildRequires
* Tue May  4 2004 hmacht@suse.de
- added norootforbuild in specfile
* Tue Sep  9 2003 schwab@suse.de
- Add workaround for gcc bug.
* Mon Aug 25 2003 ro@suse.de
- remove /usr/include from filelist
* Mon Aug 25 2003 mfabian@suse.de
- new package: darts 0.2.
